【解决】ERROR in xxx.js from UglifyJs

zwwill_木羽

当我们运行打包脚本npm run build或者打包iosweexpack build ios有可能会遇到以下报错

ERROR in index.js from UglifyJs

这是因为webpack在打包vue文件时没有成功转换ES6的语法

解决方法

解决方法很简单,加入babel-preset-es2015插件即可
1、安装依赖包

$ npm install --save-div babel-preset-es2015

ps:babel-loaderbabel-core应该是默认装好的,如果没有安装,请重新安装

2、修改【webpack.config.js】配置文件
找到 /\.js$/的rules,进行修改

      {
        test: /\.js$/,
        use: [{
          loader: 'babel-loader',
          options: {
             presets: ['es2015']
          }
        }]
      }

3、根目录下添加【.babelrc】文件
文件内容:

{
  "presets": ["es2015"]
}

重试

重新运行打包脚本查看效果,指令视情况而定

$ npm run build

如果依然存在问题,你可以在下方留言

阅读 39.7k

willspace
stay hungry stay foolish
6.3k 声望
619 粉丝
0 条评论
6.3k 声望
619 粉丝
文章目录
宣传栏